MapTileUtil.URLGrabber (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class MapTileUtil.URLGrabber

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.MapTileUtil.Action
          com.bbn.openmap.dataAccess.mapTile.MapTileUtil.URLGrabber

Enclosing class:
  MapTileUtil

    public static class MapTileUtil.URLGrabber

extends MapTileUtil.Action

A Builder that knows how to download files from a website.

Author:
  dietrick

Constructor Summary
`MapTileUtil.URLGrabber(java.lang.String source, java.lang.String destination)`

Method Summary
`void` | `action(int x, int y, int zoomLevel, MapTileUtil mtu)` Called from within grabTiles, with the tile info.
`void` | `go()`
`void` | `grabURLTile(int x, int y, int zoomLevel)` An action method that will fetch a tile from a URL and copy it to the destination directory.

Methods inherited from class com.bbn.openmap.dataAccess.mapTile.MapTileUtil.Action
`addBounds, addZoom, addZoomRange, format, getBoundsList, getDestination, getFormat, getMtcTransform, getSource, getZoomLevels, setBoundsList, setDestination, setFormat, setMtcTransform, setSource, setZoomLevels, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTileUtil.URLGrabber

    public MapTileUtil.URLGrabber(java.lang.String source,
                                  java.lang.String destination)

Method Detail

### go

    public void go()

  Specified by:
    `go` in class `MapTileUtil.Action`

### action

    public void action(int x,
                       int y,
                       int zoomLevel,
                       MapTileUtil mtu)

  Description copied from class: `MapTileUtil.Action`
  Called from within grabTiles, with the tile info. You can use this information to make a method call on mtu.

  Specified by:
    `action` in class `MapTileUtil.Action`
  Parameters:
    `x` - tile coordinate
    `y` - tile coordinate
    `zoomLevel` - tile zoom level
    `mtu` - callback

### grabURLTile

    public void grabURLTile(int x,
                            int y,
                            int zoomLevel)

  An action method that will fetch a tile from a URL and copy it to the destination directory.

  Parameters:
    `x` -
    `y` -
    `zoomLevel` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details